require 'LuxSci'
require 'LuxSciPayload'

# LuxSci API v2 base URI
LuxSci::API::baseURI = "https://rest.luxsci.com/perl/api/v2"
#
# AKA Secret Key
LuxSci::API::apiSecret=""
#
# AKA Public Token
LuxSci::API::apiKey=""
#
# User name and password for User level API calls
LuxSci::API::userName = ""
LuxSci::API::password = nil

LuxSci::API::debug = false

# Set this to globally require authentication on every http request
# avoiding the need to call sign.
# LuxSci::API::autoEnableAuth

# Set this to false if want to ignore problems with self-signed certs.
LuxSci::API::sslVerify = true

# Directory to save payloads to by default
LuxSci::Payload.basePath = './payloads'

# Monkey-patch to deal with self-signed certificates
module RestClient
  class Request
    def self.execute(args, & block)
      unless LuxSci::API::sslVerify
        args[:verify_ssl] = false
      end
      new(args).execute(& block)
    end
  end
end
